import type { ProjectSettings } from '@dynamic-labs/sdk-api-core';
import { Chain, WalletConnectorsMethod, DeepLinkVariant, InternalWalletConnector } from '@dynamic-labs/wallet-connector-core';
import { type NetworkConfigurationMap, type WalletUiUtils, type CoinbaseWalletPreference, type MobileExperience, type AuthMode } from '@dynamic-labs/types';
import { IChainRpcProviders } from '@dynamic-labs/rpc-providers';
import { WalletBookSchema } from '@dynamic-labs/wallet-book';
export type GetSupportedWalletsOpts = {
    authMode?: AuthMode;
    appLogoUrl?: string;
    appName?: string;
    coinbaseWalletPreference?: CoinbaseWalletPreference;
    chainRpcProviders: IChainRpcProviders;
    deepLinkPreference?: DeepLinkVariant;
    flowNetwork?: 'mainnet' | 'testnet';
    mobileExperience?: MobileExperience;
    networkConfigurations?: NetworkConfigurationMap;
    settings: ProjectSettings;
    skipMemo?: boolean;
    walletBook: WalletBookSchema;
    walletConnectProjectId?: string;
    walletConnectorsProp: WalletConnectorsMethod[];
    walletConnectPreferredChains?: `eip155:${number}`[];
    walletUiUtils?: WalletUiUtils<InternalWalletConnector>;
};
export type GetSupportedWallets = (opts: GetSupportedWalletsOpts) => InternalWalletConnector[];
export type ChainInfo = {
    blockchainName: string;
    displayName: string;
    name: string;
    symbol: Chain;
};
export type ChainWihtIcon = {
    icon?: string;
    name: string | undefined;
    symbol: Chain | undefined;
};
