'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var getSupportedWallets = require('../getSupportedWallets/getSupportedWallets.cjs');
var getSupportedChainsForWalletConnector = require('../getSupportedChainsForWalletConnector/getSupportedChainsForWalletConnector.cjs');

// this function will return a list of connectors that are enabled based on the chains that are enabled
const getEnabledWallets = (props) => {
    const supportedWallets = getSupportedWallets.getSupportedWallets(props.getSupportedWalletOpts);
    const allEnabledWallets = supportedWallets.filter((wallet) => props.enabledChains.some((chain) => getSupportedChainsForWalletConnector.getSupportedChainsForWalletConnector(props.getSupportedWalletOpts.walletBook, wallet).includes(chain)) || wallet.key === 'magiclink');
    return allEnabledWallets;
};

exports.getEnabledWallets = getEnabledWallets;
