'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var walletConnectorCore = require('@dynamic-labs/wallet-connector-core');
var utils = require('@dynamic-labs/utils');
var walletBook = require('@dynamic-labs/wallet-book');
var handleMobileWalletFilter = require('../handleMobileWalletFilter/handleMobileWalletFilter.cjs');

const filterWalletsForPlatform = (walletBook$1, connectors) => connectors.filter((connector) => {
    const walletBookWallet = walletBook.findWalletBookWallet(walletBook$1, connector.key);
    if (connector.isInstalledOnBrowser()) {
        return true;
    }
    else if (walletConnectorCore.isEmbeddedConnector(connector)) {
        return true;
    }
    else if (walletBookWallet === null || walletBookWallet === void 0 ? void 0 : walletBookWallet.showOnlyIfInstalled) {
        return false;
    }
    else if (!utils.isMobile()) {
        return true;
    }
    else {
        return handleMobileWalletFilter.handleMobileWalletFilter(connector);
    }
});

exports.filterWalletsForPlatform = filterWalletsForPlatform;
