'use client'
import { isEmbeddedConnector } from '@dynamic-labs/wallet-connector-core';
import { isMobile } from '@dynamic-labs/utils';
import { findWalletBookWallet } from '@dynamic-labs/wallet-book';
import { handleMobileWalletFilter } from '../handleMobileWalletFilter/handleMobileWalletFilter.js';

const filterWalletsForPlatform = (walletBook, connectors) => connectors.filter((connector) => {
    const walletBookWallet = findWalletBookWallet(walletBook, connector.key);
    if (connector.isInstalledOnBrowser()) {
        return true;
    }
    else if (isEmbeddedConnector(connector)) {
        return true;
    }
    else if (walletBookWallet === null || walletBookWallet === void 0 ? void 0 : walletBookWallet.showOnlyIfInstalled) {
        return false;
    }
    else if (!isMobile()) {
        return true;
    }
    else {
        return handleMobileWalletFilter(connector);
    }
});

export { filterWalletsForPlatform };
